<template>
  <div>
    <v-row class="pa-12" align="center" justify="space-between">
      <v-col cols="12">
        <h1 class="text-center allh1-headline">
          {{ $t('monitoringSolution.monitoring') }}
        </h1>
      </v-col>
      <v-col cols="12" md="9" :class="$vuetify.breakpoint.mdAndDown ? '' : 'pl-12'">
        <div
          :class="
            $vuetify.breakpoint.mdAndDown
              ? 'text-center global-box-view'
              : 'global-box-view'
          "
        >
          <h2>
            {{ $t('monitoringSolution.whatIsMonitoring.title') }}
          </h2>
          <p>
            {{ $t('monitoringSolution.whatIsMonitoring.description') }}
          </p>
        </div>
        <!-- 2 -->
        <div>
          <h2 class="mb-2">
            {{ $t('monitoringSolution.whatIsMonitoring.monitorType.title') }}
          </h2>
          <List :data="dataGiven.monitorType.items" />
        </div>
      </v-col>
      <v-col cols="12" md="3" :class="$vuetify.breakpoint.mdAndDown ? '' : 'pr-6'">
        <div>
          <v-img
            :src="require('../../../assets/images/monitoring/monitoring1.svg')"
            :srcset="require('../../../assets/images/monitoring/monitoring1.svg')"
            :lazy-src="require('../../../assets/images/monitoring/monitoring1.svg')"
            contain
          ></v-img>
        </div>
      </v-col>
    </v-row>
  </div>
</template>
<script>
export default {
  name: 'MonWhat',
  props: {
    dataGiven: {
      type: Object,
      required: true,
    },
  },
};
</script>
